@metacharset "UTF-8";

@import "https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap";

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    --fonte1:  'Lato', sans-serif;
    list-style: none;
    text-decoration: none;
    scroll-behavior: smooth;
    font-family: var(--fonte1);
}
:root{
    --bg-color: white;
    --text-color: rgb(12, 36, 80);
    --color2: orange;
    --color3: orangered;
    --color4: #60d600;
    --colordes: yellow;
    --big-font: 3.5rem;
    --h2-font: 2rem;
    --p-font: .9rem;
}

header{
    width: 100vw;
    background-color: gray;
}

.foto1 img{
    max-width: 200px;
}

.titulo{
    width: 100vw;
    background-color: var(--text-color);
    color: var(--bg-color);
    padding: 30px;
    display: block;
    justify-content: space-around;
    text-align: center;
}
.titulo h1{
    font-weight: 500;
    font-style: italic;
    padding: 10px 0px;
    font-size:var(--big-font);
    transition:ease 1s;
}
.titulo h1:hover{
    color: lightblue;
}

.titulo h3{
    font-weight: 300;
    letter-spacing: 1rem;
    font-size: 1rem;
    color:var(--color2);
    transition: ease 1s;
}
.titulo h3:hover{
    color: var(--color4);
}
.titulo p{
    font-weight: 300;
    letter-spacing: 2px;
    color: var(--color3);
    transition: ease 1s;
}
.titulo p:hover{
    color:var(--colordes)
}

.btn{
    display: inline-flex;
    padding: 10px;
    margin-top: 20px;
    text-align: center;
    background-color: var(--color3);
    border: 2px solid white;
    border-radius: 30px;
    color: var(--bg-color);
    font-size: 1rem;
    text-align: center;
    letter-spacing: 1px;
    font-weight: 700;
    transition: ease .50s;
}

.btn:hover{
    background-color:var(--color4);
    transform: scale(1.1);
}

.menu{
    width: 100vw;
    display: block;
    text-align: center;
    padding-top: 10px;
}
#menu-icon{
    display: block;
    text-align: center;
    color: var(--text-color);
    cursor: pointer;
    padding-top: 10px;
}
#menu-icon:hover{
    color:var(--color3);
}
.navlist{
    display: none;
    background-color: var(--color3);
    text-align: center;
    transition: all .40s;
}
.navlist a{
    display: block;
    padding: 1rem;
    border-top: 2px solid var(--bg-color);
    color: var(--bg-color);
}
.navlist a:hover{
    background: var(--color2);
    color: var(--text-color);
    font-weight: 800;
}
.sobre{
    max-width: 80vw;
    display: block;
    position: relative;
    margin: auto;
    text-align: center;
    padding-top: 20px;
}
.sobre-txt{
    padding: 20px;
    padding-left: 40px;
    text-align: justify;
}
h3{
    color: var(--color2);
    font-weight: bolder;
    letter-spacing: .4rem;
}
h2{
    color: var(--color3);
    letter-spacing: 2px;
    font-size: 2.5rem;
    font-style: italic;
}
p{
    color:var(--text-color);
    padding-top: 5px;
}

.galeria{
    max-width: 80%;
    margin: auto;
    text-align: center;
}

.container-galeria{
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-auto-rows: 90px;
    padding-top: 20px;
    padding-bottom: 20px;
    gap: 5px;
}
.item-galeria{
    position: relative;
}
.item-galeria .img-galeria{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: ease 0.5s;
    border-radius: 10px;
}
.img-galeria:hover{
    transform: scale(1.1);
}
.item-galeria .title-galeria{
    position: absolute;
    background-color: rgba(0,0,0,0.8);
    left: 0;
    bottom: 0;
    width: 100%;
    color: white;
    padding: 10px;
    font-size: 10pt;
    font-family: var(--fonte1);
    border-radius: 10px;
}
.h-1{
    grid-row: span 1;
}
.h-2{
    grid-row: span 2;
}
.w-1{
    grid-column: span 1;
}
.w-2{
    grid-column: span 2;
}
.w-3{
    grid-column: span 3;
}
.w-4{
    grid-column: span 4;
}
.w-5{
    grid-column: span 5;
}
.w-6{
    grid-column: span 6;
}


.exibir{
    border-radius: 20px;
    height: 60vh;
    background-color: rgba(0,0,0,0.5);
    color:var(--colordes);
    margin: auto;       
}

.tela{
    border-radius: 20px;
    height: 100%;
    width: 100%;
    background: black no-repeat center center;
}



.portfolio{
    text-align: center;
    padding-top: 50px;
    letter-spacing: 1px;

}
h4{
    color: var(--color2);
    font-weight: bolder;
    padding-top: 10px;
    padding-bottom: 5px;
    font-size: 1.2rem;
}
h5{
    color: var(--color3);
    font-weight: 300;
    letter-spacing: 1px;
}
.portfolio{
    max-width: 80vw;
    margin: auto;
}
.portfolio-content {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, auto));
    gap: 2rem;
    align-items: center;
    margin-top: 5rem;
    text-align: center;
    cursor: pointer;
}
.col{
    position: relative;
}
.col img{
    max-width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 12px;
}

.serviços{
    padding-top: 30px;
    max-width: 80vw;
    margin: auto;
    text-align: center;
}
.service-content{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, auto));
    gap: 2rem;
    align-items: center;
    margin-top: 5rem;
}
.row{
    background-color: var(--bg-color);
    box-shadow: 7px 0px 10px 0px rgba(2, 48, 36, 0.171);
    border-radius: 12px;
    padding: 30px;
    transition: ease .45s;
    cursor: pointer;
}
.s img{
    height: 150px;
    width: 150px;
    background-color: var(--color2);
    padding: 10px;
    border-radius: 50%;
    margin-bottom: 10px;
}
.row h3{
    font-size: 24px;
    font-weight: 500;
    margin-bottom: 2px;
}
.row h5{
    font-size: 17px;
    font-weight: 700;
    margin-bottom: 20px;
}
.row p{
    font-size: .8rem;
    color: var(--color3);
    font-weight: 500;
    margin-bottom: 2px;
}
.row:hover{
    background: var(--bg-color);
    box-shadow: 18px 0px 30px 0px rgba(2, 48, 36, 0.171);
    border-radius: 12px;
    will-change: transform;
    transform: perspective(1000px), rotateX(4.80deg), rotateY(10.23deg), scale(1, 0.5, 1.50, 1.50);
}
.cta-box{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, auto));
    gap: 2rem;
    align-items: center;
    margin-top: 5rem;
    text-align: center;
}
.video{
    max-width: 80vw;
    background-color: black;
    margin: 0px auto 0px auto;
    margin-top: 50px;
    padding: 5px;
    padding-bottom: 50%;
    position: relative;
    text-align: center;
    letter-spacing: 0.3em;
    font-size: .8em;
    border-radius: 10px;
}

.video p{
    color: var(--color2);
}

.video >iframe{
    position: absolute;
    padding-top: 20px;
    top: 5%;
    left: 5%;
    width: 90%;
    height: 90%;
     
}
.contato{
    background: var(--color4);
    width: 80vw;
    margin: 50px auto;
    padding: 30px;
    display: flex;
    justify-content: center;
    text-align: center;
    border-radius: 12px;
    background-image: linear-gradient(to top, var(--color3), var(--color2));
    background-size: cover;
}
.contato h3{
    color:var(--bg-color);
}

footer{
    background-color: var(--text-color);
    padding: 5px;
    margin-top: 30px;
}
footer p{
    color: var(--bg-color);
    font-size: .7rem;
    letter-spacing: 1px;
    text-align: center;
}

@media screen and (min-width: 768px) {

.titulo{
    display: flex;
    margin-bottom: -10px;
    align-items: center;
}

#menu-icon{
    display: none;
    }
.navlist{
    display: flex;
    justify-content: space-around;
    
}
.navlist a{
    border: 0;
    border-radius: 5px;
    padding: 5px 10px;
    margin: 3px 0;
}
.sobre{
    display: flex;
}

.container-galeria{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-auto-rows: 90px;
    padding-top: 20px;
    padding-bottom: 20px;
    gap: 5px;
}
}